matrix:
  platform:
    - linux/amd64
  goversion:
    - 1.24

labels:
  platform: ${platform}
    
steps:
  build:
    when:
      event: [push]
    image: golang:${goversion}
    commands:
      - go get
      - go build

  test:
    when:
      event: [push]
    image: golang:${goversion}
    commands:
      - go get
      - go test -v -cover ./...
      - cd upctl
      - go test -v -cover ./...
    depends_on: [build]
